var nameRe = /^[$_\p{ID_Start}][$_\u{200C}\u{200D}\p{ID_Continue}]*$/u, nameReJsx = /^[$_\p{ID_Start}][-$_\u{200C}\u{200D}\p{ID_Continue}]*$/u, emptyOptions = {};
function name(r, i) {
	return ((i || emptyOptions).jsx ? nameReJsx : nameRe).test(r);
}
export { name };
